<?php

if( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
    
    add_filter( 'apus_themer_kingcomposer_map_woo_categories_tabs', 'apustheme_kingcomposer_map_woo_categories_tabs' );
    function apustheme_kingcomposer_map_woo_categories_tabs($args){
        $types = array(
            'best_selling' => esc_html__( 'Best Selling', 'butcher' ),
            'featured_product' => esc_html__( 'Featured Products', 'butcher' ),
            'top_rate'  => esc_html__( 'Top Rate', 'butcher' ),
            'recent_product'  => esc_html__( 'Recent Products', 'butcher' ),
            'on_sale'  => esc_html__( 'On Sale', 'butcher' ),
            'recent_review'  => esc_html__( 'Recent Review', 'butcher' )
        );
        $categories = array();
        if ( is_admin() ) {
            $categories = apus_themer_woocommerce_get_categories();
        }
        return array(
            'name' => esc_html__('Apus Categories Tabs', 'butcher'),
            'description' => esc_html__('Display categories tabs with icon in frontend', 'butcher'),
            'icon' => 'sl-paper-plane',
            'category' => 'Woocommerce',
            'params' => array(
                array(
                    'type' => 'group',
                    'label' => esc_html__('Tabs', 'butcher'),
                    'name' => 'tabs',
                    'params' => array(
                        array(
                            'name' => 'name',
                            'label' => esc_html__( 'Tab Name' ,'butcher' ),
                            'type' => 'text',
                        ),
                        array(
                            'type'           => 'select',
                            'label'          => esc_html__( 'Select Category', 'butcher' ),
                            'name'           => 'category',
                            'description'    => esc_html__( 'Select Category to display', 'butcher' ),
                            'admin_label'    => true,
                            'options' => $categories
                        ),
                        array(
                            "type" => "icon_picker",
                            "label" => esc_html__("Icon", 'butcher'),
                            "name" => "icon"
                        ),
                        array(
                            "type" => "attach_image",
                            "description" => esc_html__("If you upload an image, icon will not show.", 'butcher'),
                            "name" => "image",
                            'label' => esc_html__('Icon Image', 'butcher' )
                        ),
                        array(
                            "type" => "attach_image",
                            "description" => esc_html__("If you upload an image, icon will not show.", 'butcher'),
                            "name" => "icon_image_hover",
                            'label' => esc_html__('Icon Image When Hover', 'butcher' )
                        )
                    ),
                ),
                array(
                    'name' => 'show_view_all',
                    'label' => esc_html__("Show View All Button?", 'butcher'),
                    'type' => 'toggle',
                ),
                array(
                    'name' => 'view_all_text',
                    'label' => esc_html__("View All Button Text", 'butcher'),
                    'type' => 'text',
                    'relation' => array(
                        'parent' => 'show_view_all',
                        'show_when' => 'yes'
                    )
                ),
                array(
                    'name' => 'view_all_url',
                    'label' => esc_html__("View All Button Url", 'butcher'),
                    'type' => 'text',
                    'relation' => array(
                        'parent' => 'show_view_all',
                        'show_when' => 'yes'
                    )
                ),
                array(
                    "type" => "attach_image",
                    "name" => "view_all_image",
                    'label' => esc_html__('View All Icon Image', 'butcher' ),
                    'relation' => array(
                        'parent' => 'show_view_all',
                        'show_when' => 'yes'
                    )
                ),
                array(
                    "type" => "attach_image",
                    "name" => "view_all_image_hover",
                    'label' => esc_html__('Icon Image When Hover', 'butcher' ),
                    'relation' => array(
                        'parent' => 'show_view_all',
                        'show_when' => 'yes'
                    )
                ),
                array(
                    'name' => 'type',
                    'label' => esc_html__( 'Product Type' ,'butcher' ),
                    'type' => 'select',
                    'admin_label' => true,
                    'options' => $types,
                    'value' => 4,
                ),
                array(
                    'name' => 'number',
                    'label' => esc_html__( 'Number products' ,'butcher' ),
                    'type' => 'number_slider',
                    'options' => array(
                        'min' => 1,
                        'max' => 100,
                        'unit' => '',
                        'show_input' => true
                    ),
                    'value' => 8,
                    'description' => esc_html__( 'Display number of products', 'butcher' )
                ),
                array(
                    'name' => 'columns',
                    'label' => esc_html__( 'Number Column' ,'butcher' ),
                    'type' => 'number_slider',
                    'options' => array(
                        'min' => 1,
                        'max' => 6,
                        'unit' => '',
                        'show_input' => true
                    ),
                    'value' => 4
                ),
                array(
                    'name' => 'tab_style',
                    'label' => esc_html__( 'Tab Style' ,'butcher' ),
                    'type' => 'select',
                    'admin_label' => true,
                    'options' => array(
                        'style1' => esc_html__( 'Style 1' ,'butcher' ),
                        'style2' => esc_html__( 'Style 2' ,'butcher' ),
                        'style3' => esc_html__( 'Style 3' ,'butcher' ),
                    ),
                    'value' => 'grid'
                ),
                array(
                    'name' => 'layout_type',
                    'label' => esc_html__( 'Layout Type' ,'butcher' ),
                    'type' => 'select',
                    'admin_label' => true,
                    'options' => array(
                        'grid' => esc_html__( 'Grid' ,'butcher' ),
                        'special' => esc_html__( 'Special' ,'butcher' ),
                    ),
                    'value' => 'grid'
                ),
                array(
                    'name' => 'item_type',
                    'label' => esc_html__( 'Item Type' ,'butcher' ),
                    'type' => 'select',
                    'admin_label' => true,
                    'options' => array(
                        'inner' => esc_html__( 'Grid 1' ,'butcher' ),
                        'inner-v2' => esc_html__( 'Grid 2' ,'butcher' ),
                    ),
                    'value' => 'inner',
                    'relation' => array(
                        'parent' => 'layout_type',
                        'show_when' => 'grid'
                    )
                ),
            )
        );
    }

    add_filter( 'apus_themer_kingcomposer_map_woo_products', 'apustheme_kingcomposer_map_woo_products' );
    function apustheme_kingcomposer_map_woo_products($args){
        $layouts = array(
            'grid' => esc_html__( 'Grid', 'butcher' ),
            'list' => esc_html__( 'List', 'butcher' ),
            'carousel' => esc_html__( 'Carousel', 'butcher' ),
        );
        $types = array(
            'best_selling' => esc_html__( 'Best Selling', 'butcher' ),
            'featured_product' => esc_html__( 'Featured Products', 'butcher' ),
            'top_rate'  => esc_html__( 'Top Rate', 'butcher' ),
            'recent_product'  => esc_html__( 'Recent Products', 'butcher' ),
            'on_sale'  => esc_html__( 'On Sale', 'butcher' ),
            'recent_review'  => esc_html__( 'Recent Review', 'butcher' )
        );
        $categories = array();
        if ( is_admin() ) {
            $categories = apus_themer_woocommerce_get_categories();
        }
        return array(
            'name' => 'Apus Products',
            'description' => esc_html__('Display Bestseller, Latest, Most Review ... in frontend', 'butcher'),
            'icon' => 'sl-paper-plane',
            'category' => 'Woocommerce',
            'params' => array(
                array(
                    'name' => 'title',
                    'label' => esc_html__( 'Title', 'butcher' ),
                    'type' => 'text',
                    'admin_label' => true,
                ),
                array(
                    'name' => 'type',
                    'label' => esc_html__( 'Product Type', 'butcher' ),
                    'type' => 'select',
                    'admin_label' => true,
                    'options' => $types
                ),
                array(
                    'type'           => 'multiple',
                    'label'          => esc_html__( 'Select Categories', 'butcher' ),
                    'name'           => 'categories',
                    'description'    => esc_html__( 'Select Categories to display', 'butcher' ),
                    'admin_label'    => true,
                    'options' => $categories
                ),
                array(
                    'name' => 'number',
                    'label' => 'Number post show',
                    'type' => 'number_slider',
                    'options' => array(
                        'min' => 1,
                        'max' => 100,
                        'unit' => '',
                        'show_input' => true
                    ),
                    'description' => esc_html__( 'Display number of post', 'butcher' ),
                    'value' => 4
                ),
                array(
                    'name' => 'columns',
                    'label' => esc_html__( 'Number Column' ,'butcher' ),
                    'type' => 'number_slider',
                    'options' => array(
                        'min' => 1,
                        'max' => 6,
                        'unit' => '',
                        'show_input' => true
                    ),
                    'value' => 1
                ),
                array(
                    'name' => 'layout_type',
                    'label' => esc_html__( 'Layout Type' ,'butcher' ),
                    'type' => 'select',
                    'admin_label' => true,
                    'options' => $layouts
                ),
                array(
                    'name' => 'item_style',
                    'label' => esc_html__( 'Item Style' ,'butcher' ),
                    'type' => 'select',
                    'admin_label' => true,
                    'options' =>  array(
                        'inner' => esc_html__( 'Grid 1', 'butcher' ),
                        'inner-v2' => esc_html__( 'Grid 2 (for organic)', 'butcher' ),
                        'inner-v3' => esc_html__( 'Grid 3 (for food)', 'butcher' ),
                        'inner-list-v1' => esc_html__( 'Inner List 1', 'butcher' ),
                    ),
                    'value' => 'inner',
                    'relation' => array(
                        'parent'    => 'layout_type',
                        'show_when' => array('grid', 'carousel')
                    ),
                ),
                array(
                    'name' => 'rows',
                    'label' => esc_html__( 'Rows' ,'butcher' ),
                    'type' => 'number_slider',
                    'options' => array(
                        'min' => 1,
                        'max' => 6,
                        'unit' => '',
                        'show_input' => true
                    ),
                    'description' => esc_html__( 'Apply for Carousel layout' ,'butcher' ),
                    'relation' => array(
                        'parent'    => 'layout_type',
                        'show_when' => 'carousel',
                    ),
                ),
                array(
                    'name' => 'link_view',
                    'label' => esc_html__( 'Veiw all Link', 'butcher' ),
                    'type' => 'text',
                    'admin_label' => true,
                ),
            )
        );
    }
}

add_action('init', 'apustheme_override_kingcomposer_map', 99 );
function apustheme_override_kingcomposer_map() {
    global $kc;
    $kc->add_map_param(
        'kc_title',
        array(
            "type" => "attach_image",
            "name" => "image",
            'label' => esc_html__('Image', 'butcher' )
        ) );

    $kc->update_map( 
        'kc_call_to_action', 
        'params',
        array(
            'general' => array(
                0 => array(
                    'type'          => 'radio_image',
                    'label'         => esc_html__( 'Select Template', 'butcher' ),
                    'name'          => 'layout',
                    'admin_label'   => true,
                    'options'       => array(
                        '2' => KC_URL . '/assets/frontend/images/callto/layout-2.png',
                        '3' => KC_URL . '/assets/frontend/images/callto/layout-3.png',
                        '4' => get_template_directory_uri() . '/inc/assets/images/layout-5.png'
                    ),
                    'value'         => '2'
                )
            )
        )
    );
    
   
    // google
    $kc->add_map( array('element_our_store' => array(
        'name' => esc_html__('Apus Our Stores', 'butcher'),
        'description' => esc_html__('Display our store in frontend', 'butcher'),
        'icon' => 'sl-paper-plane',
        'category' => 'Elements',
        'params' => array(
            array(
                'name' => 'title',
                'label' => esc_html__( 'Title' ,'butcher' ),
                'type' => 'text',
            ),
            array(
                'name' => 'subtitle',
                'label' => esc_html__( 'Subtitle' ,'butcher' ),
                'type' => 'textarea',
            ),
            array(
                "type" => "attach_image",
                "name" => "image",
                'label' => esc_html__('Image', 'butcher' )
            ),
            array(
                'type' => 'group',
                'label' => esc_html__('Stores', 'butcher'),
                'name' => 'stores',
                'params' => array(
                    array(
                        'name' => 'name',
                        'label' => esc_html__( 'Store Name' ,'butcher' ),
                        'type' => 'text',
                    ),
                    array(
                        'name' => 'address',
                        'label' => esc_html__( 'Address' ,'butcher' ),
                        'type' => 'textarea',
                    ),
                    array(
                        'name' => 'latitude',
                        'label' => esc_html__( 'Latitude' ,'butcher' ),
                        'type' => 'text',
                    ),
                    array(
                        'name' => 'longitude',
                        'label' => esc_html__( 'Longitude' ,'butcher' ),
                        'type' => 'text',
                    ),
                ),
            ),
            array(
                "type" => "attach_image",
                "name" => "map_image",
                'label' => esc_html__('Map maker icon', 'butcher' )
            ),
            array(
                "type" => "attach_image",
                "name" => "map_image_hover",
                'label' => esc_html__('Map maker icon hover', 'butcher' )
            ),
        )
    )));
    // heading
    $kc->add_map( array('element_heading' => array(
        'name' => esc_html__('Apus Heading', 'butcher'),
        'description' => esc_html__('Display our store in frontend', 'butcher'),
        'icon' => 'sl-paper-plane',
        'category' => 'Elements',
        'params' => array(
            array(
                'name' => 'title',
                'label' => esc_html__( 'Title' ,'butcher' ),
                'type' => 'text',
            ),
            array(
                'name' => 'subtitle',
                'label' => esc_html__( 'Subtitle' ,'butcher' ),
                'type' => 'textarea',
            ),
            array(
                'name' => 'des',
                'label' => esc_html__( 'Description' ,'butcher' ),
                'type' => 'textarea',
            ),
            array(
                "type" => "dropdown",
                "label" => esc_html__('Style','butcher'),
                "name" => 'style',
                'options'   => array(
                    'dark' => esc_html__('Dark ', 'butcher'), 
                    'dark st_small' => esc_html__('Dark Small', 'butcher'), 
                    'white' => esc_html__('White ', 'butcher'),
                    'white st_small' => esc_html__('White Small', 'butcher'),
                    'white_left' => esc_html__('White Left', 'butcher'),
                )
            )
        )
    )));
    // heading
    $kc->add_map( array('element_action' => array(
        'name' => esc_html__('Apus Action', 'butcher'),
        'description' => esc_html__('Display our store in frontend', 'butcher'),
        'icon' => 'sl-paper-plane',
        'category' => 'Elements',
        'params' => array(
            array(
                'name' => 'title',
                'label' => esc_html__( 'Title' ,'butcher' ),
                'type' => 'text',
            ),
            array(
                'name' => 'subtitle',
                'label' => esc_html__( 'Subtitle' ,'butcher' ),
                'type' => 'textarea',
            ),
            array(
                'name' => 'des',
                'label' => esc_html__( 'Description' ,'butcher' ),
                'type' => 'textarea',
            ),
            array(
                'name' => 'Link',
                'label' => esc_html__( 'Link Action' ,'butcher' ),
                'type' => 'link',
            ),
            array(
                'name' => 'item_style',
                'label' => esc_html__( 'Style' ,'butcher' ),
                'type' => 'select',
                'admin_label' => true,
                'options' => array(
                    '' => esc_html__( 'Style 1', 'butcher' ),
                    'style2' => esc_html__( 'Style 2', 'butcher' ),
                ),
                'value' => '',
            )
        )
    )));

    // heading
    $kc->add_map( array('element_banner_countdown' => array(
        'name' => esc_html__('Apus Banner Countdown', 'butcher'),
        'description' => esc_html__('Display our store in frontend', 'butcher'),
        'icon' => 'sl-paper-plane',
        'category' => 'Elements',
        'params' => array(
            array(
                'name' => 'title',
                'label' => esc_html__( 'Title' ,'butcher' ),
                'type' => 'text',
            ),
            array(
                'name' => 'subtitle',
                'label' => esc_html__( 'Subtitle' ,'butcher' ),
                'type' => 'text',
            ),
            array(
                'name' => 'price',
                'label' => esc_html__( 'Price' ,'butcher' ),
                'type' => 'textarea',
            ),
            array(
                'name' => 'des',
                'label' => esc_html__( 'Description' ,'butcher' ),
                'type' => 'textarea',
            ),
            array(
                'name' => 'url',
                'label' => esc_html__( 'Link Countdown' ,'butcher' ),
                'type' => 'text',
            ),
            array(
                'name' => 'input_datetime',
                'label' => esc_html__( 'Date Expired' ,'butcher' ),
                'type' => 'text',
            ),
        )
    )));
    // heading
    $kc->add_map( array('element_teams' => array(
        'name' => esc_html__('Apus Teams', 'butcher'),
        'description' => esc_html__('Display our store in frontend', 'butcher'),
        'icon' => 'sl-paper-plane',
        'category' => 'Elements',
        'params' => array(
            array(
                'type'            => 'group',
                'label'            => esc_html__('Team Items', 'butcher'),
                'name'            => 'team',
                'params' => array(
                    array(
                        'name' => 'name_item',
                        'label' => esc_html__( 'Name' ,'butcher' ),
                        'type' => 'text',
                    ),
                    array(
                        'name' => 'job',
                        'label' => esc_html__( 'Job' ,'butcher' ),
                        'type' => 'text',
                    ),
                    array(
                        "type" => "attach_image",
                        "name" => "map_image_hover",
                        'label' => esc_html__('Image Avatar', 'butcher' )
                    ),
                    array(
                        'type' => 'text',
                        'label' => esc_html__( 'Link Facebook', 'butcher' ),
                        'name' => 'link_face',
                        'admin_label' => true,
                    ),
                    array(
                        'type' => 'text',
                        'label' => esc_html__( 'Link Twitter', 'butcher' ),
                        'name' => 'link_tw',
                        'admin_label' => true,
                    ),
                    array(
                        'type' => 'text',
                        'label' => esc_html__( 'Link Google', 'butcher' ),
                        'name' => 'link_go',
                        'admin_label' => true,
                    ),
                    array(
                        'type' => 'text',
                        'label' => esc_html__( 'Link Pinterest', 'butcher' ),
                        'name' => 'link_pi',
                        'admin_label' => true,
                    ),
                ),
            ),
        )
    )));
    // banner saleof
    $kc->add_map( array('element_banner_sale' => array(
        'name' => esc_html__('Apus Banner Sale Of', 'butcher'),
        'description' => esc_html__('Display Banner sale of in frontend', 'butcher'),
        'icon' => 'sl-paper-plane',
        'category' => 'Elements',
        'params' => array(
            array(
                'name' => 'title',
                'label' => esc_html__( 'Title' ,'butcher' ),
                'type' => 'text',
            ),
            array(
                'name' => 'des',
                'label' => esc_html__( 'Description' ,'butcher' ),
                'type' => 'textarea',
            ),
            array(
                'type'            => 'group',
                'label'            => esc_html__('Team Items', 'butcher'),
                'name'            => 'saleofs',
                'params' => array(
                    array(
                        'name' => 'title',
                        'label' => esc_html__( 'Title Category' ,'butcher' ),
                        'type' => 'text',
                    ),
                    array(
                        'name' => 'percent',
                        'label' => esc_html__( 'Percent Sale of' ,'butcher' ),
                        'type' => 'text',
                    ),
                    array(
                        "type" => "attach_image",
                        "name" => "img",
                        'label' => esc_html__('Image Banner', 'butcher' )
                    ),
                    array(
                        'name' => 'link',
                        'label' => esc_html__( 'Link Category' ,'butcher' ),
                        'type' => 'text',
                    ),
                ),
            ),
            array(
                'name' => 'columns',
                'label' => esc_html__( 'Number Column' ,'butcher' ),
                'type' => 'number_slider',
                'options' => array(
                    'min' => 1,
                    'max' => 8,
                    'unit' => '',
                    'show_input' => true
                ),
                'value' => 3
            ),
        )
    )));
    // Offer Today
    $kc->add_map( array('element_offer_item' => array(
        'name' => esc_html__('Apus Offer Item', 'butcher'),
        'description' => esc_html__('Display Offer in frontend', 'butcher'),
        'icon' => 'sl-paper-plane',
        'category' => 'Elements',
        'params' => array(
            array(
                'type'            => 'group',
                'label'            => esc_html__('Team Items', 'butcher'),
                'name'            => 'offers',
                'params' => array(
                    
                    array(
                        "type" => "attach_image",
                        "name" => "img",
                        'label' => esc_html__('Image', 'butcher' )
                    ),
                    array(
                        'name' => 'title',
                        'label' => esc_html__( 'Title' ,'butcher' ),
                        'type' => 'text',
                    ),
                    array(
                        'name' => 'price',
                        'label' => esc_html__( 'Price' ,'butcher' ),
                        'type' => 'text',
                    ),
                    array(
                        'name' => 'des',
                        'label' => esc_html__( 'Description' ,'butcher' ),
                        'type' => 'textarea',
                    ),
                    array(
                        'name' => 'link',
                        'label' => esc_html__( 'Link Buy' ,'butcher' ),
                        'type' => 'text',
                    ),
                ),
            ),
        )
    )));

    // banner deal
    $kc->add_map( array('element_banner_deal' => array(
        'name' => esc_html__('Apus Banner Deal', 'butcher'),
        'description' => esc_html__('Display Banner Deal in frontend', 'butcher'),
        'icon' => 'sl-paper-plane',
        'category' => 'Elements',
        'params' => array(
            array(
                "type" => "attach_image",
                "name" => "image",
                'label' => esc_html__('Image', 'butcher' ),
            ),
            array(
                "type" => "text",
                "class" => "",
                "label" => esc_html__('Title','butcher'),
                "name" => "title",
            ),
            array(
                "type" => "text",
                "class" => "",
                "label" => esc_html__('Sub Title','butcher'),
                "name" => "subtitle",
            ),
            array(
                "type" => "textarea",
                "class" => "",
                "label" => esc_html__('Description', 'butcher'),
                "name" => "description",
            ),
            array(
                "type" => "text",
                "class" => "",
                "label" => esc_html__('Link Action','butcher'),
                "name" => "link",
            ),
        )
    )));
    // gallery
    $kc->add_map( array('element_gallery' => array(
        'name' => esc_html__('Apus Gallery Brand', 'butcher'),
        'description' => esc_html__('Display our store in frontend', 'butcher'),
        'icon' => 'sl-paper-plane',
        'category' => 'Elements',
        'params' => array(
            array(
                'type'            => 'group',
                'label'            => esc_html__('Gallery Items', 'butcher'),
                'name'            => 'gallerys',
                'params' => array(

                    array(
                        "type" => "attach_image",
                        "name" => "image",
                        'label' => esc_html__('Image', 'butcher' ),
                    ),
                    array(
                        'type' => 'text',
                        'label' => esc_html__( 'Link Image', 'butcher' ),
                        'name' => 'link',
                        'admin_label' => true,
                    ),
                ),
            ),
            array(
                'name' => 'columns',
                'label' => esc_html__( 'Number Column' ,'butcher' ),
                'type' => 'number_slider',
                'options' => array(
                    'min' => 1,
                    'max' => 8,
                    'unit' => '',
                    'show_input' => true
                ),
                'value' => 6
            ),
        )
    )));
}


function apustheme_kingcomposer_map_element_blog_posts($fields) {
    return array(
        'name' => esc_html__( 'Apus Blog Posts', 'butcher' ),
        'title' => esc_html__( 'Blog Posts Settings', 'butcher' ),
        'icon' => 'fa fa-newspaper-o',
        'category' => 'Elements',
        'wrapper_class' => 'clearfix',
        'description' => esc_html__( 'List of latest post with more layouts.', 'butcher' ),
        'params' => array(
            array(
                "type" => "text",
                "class" => "",
                "label" => esc_html__('Title','butcher'),
                "name" => "title",
            ),
             array(
                "type" => "text",
                "class" => "",
                "label" => esc_html__('Sub Title','butcher'),
                "name" => "subtitle",
            ),
            array(
                'name' => 'columns',
                'label' => esc_html__( 'Grid Column' ,'butcher' ),
                'type' => 'number_slider',
                'options' => array(
                    'min' => 1,
                    'max' => 6,
                    'unit' => '',
                    'show_input' => true
                ),
                "admin_label" => true,
                'description' => esc_html__( 'Display number of post', 'butcher' )
            ),    
            array(
                'name' => 'number',
                'label' => esc_html__( 'Items Limit', 'butcher' ),
                'type' => 'number_slider',
                'value' => '5',
                'options' => array(
                    'min' => 1,
                    'max' => 10,
                    'unit' => '',
                    'show_input' => false
                ),
                "admin_label" => true,
                'description' => esc_html__('Specify number of post that you want to show. Enter -1 to get all team', 'butcher'),
            ),
            array(
                'type'          => 'dropdown',
                'label'         => esc_html__( 'Order by', 'butcher' ),
                'name'          => 'order_by',
                'description'   => esc_html__( '', 'butcher' ),
                'admin_label'   => true,
                'options'       => array(
                    'ID'        => esc_html__('Post ID', 'butcher'),
                    'author'    => esc_html__('Author', 'butcher'),
                    'title'     => esc_html__('Title', 'butcher'),
                    'name'      => esc_html__('Post name (post slug)', 'butcher'),
                    'type'      => esc_html__('Post type (available since Version 4.0)', 'butcher'),
                    'date'      => esc_html__('Date', 'butcher'),
                    'modified'  => esc_html__('Last modified date', 'butcher'),
                    'rand'      => esc_html__('Random order', 'butcher'),
                    'comment_count' => esc_html__('Number of comments', 'butcher')
                )
            ),
            array(
                'type' => 'select',
                'label' => esc_html__( 'Order By', 'butcher' ),
                'name' => 'order',
                'options' => array(
                    'DESC' => esc_html__( 'Descending', 'butcher' ),
                    'ASC' => esc_html__( 'Ascending', 'butcher' )
                ),
                'description' => ' &nbsp; '
            ),
            array(
                'name' => 'layout_type',
                'label' => esc_html__( 'Layout Type' ,'butcher' ),
                'type' => 'select',
                'admin_label' => true,
                'options' => array(
                    'grid' => esc_html__( 'Grid', 'butcher' ),
                    'carousel' => esc_html__( 'Carousel', 'butcher' ),
                    'list' => esc_html__( 'List', 'butcher' ),
                ),
                'value' => 'carousel'
            ),
            array(
                'name' => 'item_style',
                'label' => esc_html__( 'Item Style' ,'butcher' ),
                'type' => 'select',
                'admin_label' => true,
                'options' => array(
                    '_item' => esc_html__( 'Grid 1', 'butcher' ),
                    '_item_2' => esc_html__( 'Grid 2', 'butcher' ),
                    '_item_3' => esc_html__( 'Grid 3', 'butcher' ),
                ),
                'value' => '_item',
                'relation' => array(
                    'parent' => 'layout_type',
                    'show_when' => array('grid','carousel'),
                )
            )
        )
    );
}
add_filter('apus_themer_kingcomposer_map_element_blog_posts', 'apustheme_kingcomposer_map_element_blog_posts');

function apustheme_kingcomposer_map_element_features_box($map) {
    return array(
        'name' => esc_html__( 'Apus Features Box', 'butcher' ),
        'title' => esc_html__( 'Apus Features Box Settings', 'butcher' ),
        'icon' => 'fa fa-newspaper-o',
        'category' => 'Elements',
        'wrapper_class' => 'clearfix',
        'description' => esc_html__( 'Display Features Box.', 'butcher' ),
        'params' => array(
            array(
                'type'            => 'group',
                'label'            => esc_html__('Features Items', 'butcher'),
                'name'            => 'features',
                'params' => array(
                    array(
                        "type" => "text",
                        "class" => "",
                        "label" => esc_html__('Title','butcher'),
                        "name" => "title",
                    ),
                    array(
                        "type" => "textarea",
                        "class" => "",
                        "label" => esc_html__('Description', 'butcher'),
                        "name" => "description",
                    ),
                    array(
                        "type" => "icon_picker",
                        "label" => esc_html__("Icon Font", 'butcher'),
                        "name" => "icon"
                    ),
                    array(
                        "type" => "attach_image",
                        "description" => esc_html__("If you upload an image, icon will not show.", 'butcher'),
                        "name" => "image",
                        'label' => esc_html__('Image', 'butcher' )
                    ),
                    array(
                        "type" => "attach_image",
                        "description" => esc_html__("If you upload an image, icon will not show.( not show in style Step Order)", 'butcher'),
                        "name" => "image_hover",
                        'label' => esc_html__('Image Hover for Style Center', 'butcher' )
                    ),
                ),
            ),
            array(
                'name' => 'columns',
                'label' => esc_html__( 'Number Column' ,'butcher' ),
                'type' => 'number_slider',
                'options' => array(
                    'min' => 1,
                    'max' => 6,
                    'unit' => '',
                    'show_input' => true
                ),
                'value' => 1
            ),
            array(
                "type" => "dropdown",
                "label" => esc_html__('Style','butcher'),
                "name" => 'style',
                'options'   => array(
                    'default' => esc_html__('Default ', 'butcher'), 
                    'style_border' => esc_html__('Style Border ', 'butcher'),
                    'style_center' => esc_html__('Style Center', 'butcher'),
                    'style_step' => esc_html__('Style Step Order', 'butcher'),
                ),
                'value' => 'default'
            )
        )
    );
}
add_filter('apus_themer_kingcomposer_map_element_features_box', 'apustheme_kingcomposer_map_element_features_box');

function apustheme_kingcomposer_map_element_contact_info($map) {
    return array(
        'name' => esc_html__( 'Apus Contact Info', 'butcher' ),
        'title' => esc_html__( 'Apus Contact Info Settings', 'butcher' ),
        'icon' => 'fa fa-newspaper-o',
        'category' => 'Elements',
        'wrapper_class' => 'clearfix',
        'description' => esc_html__( 'Display Contact Info.', 'butcher' ),
        'params' => array(
            array(
                "type" => "text",
                "class" => "",
                "label" => esc_html__('Title','butcher'),
                "name" => "title",
            ),
            array(
                'type' => 'group',
                'label' => esc_html__('Items', 'butcher'),
                'name' => 'items',
                'params' => array(
                    array(
                        "type" => "icon_picker",
                        "label" => esc_html__("Icon Font", 'butcher'),
                        "name" => "icon"
                    ),
                    array(
                        "type" => "attach_image",
                        "description" => esc_html__("If you upload an image, icon will not show.", 'butcher'),
                        "name" => "image",
                        'label' => esc_html__('Icon Image', 'butcher' )
                    ),
                    array(
                        "type" => "textarea",
                        "class" => "",
                        "label" => esc_html__('Description', 'butcher'),
                        "name" => "description",
                    ),
                ),
            ),
            array(
                "type" => "dropdown",
                "label" => esc_html__('Style','butcher'),
                "name" => 'style',
                'options'   => array(
                    '' => esc_html__('Style 1 ', 'butcher'), 
                    'style2' => esc_html__('Style 2', 'butcher'),
                    'style3' => esc_html__('Style 3', 'butcher'),
                    'style4' => esc_html__('Style 4', 'butcher'),
                ),
                'value' => ''
            )
        )
    );
}
add_filter('apus_themer_kingcomposer_map_element_contact_info', 'apustheme_kingcomposer_map_element_contact_info');


function apustheme_kingcomposer_map_element_newsletter($map) {
    return array(
        'name' => esc_html__( 'Apus Newsletter', 'butcher' ),
        'title' => esc_html__( 'Apus Newsletter Settings', 'butcher' ),
        'icon' => 'fa fa-newspaper-o',
        'category' => 'Elements',
        'wrapper_class' => 'clearfix',
        'description' => esc_html__( 'Display Newsletter.', 'butcher' ),
        'params' => array(
            array(
                'name' => 'title',
                'label' => esc_html__( 'Title' ,'butcher' ),
                'type' => 'text',
            ),
            array(
                'name' => 'subtitle',
                'label' => esc_html__( 'Subtitle' ,'butcher' ),
                'type' => 'textarea',
            ),
            array(
                'type' => 'dropdown',
                'label' => esc_html__( 'Style', 'butcher' ),
                'name' => 'style',
                'options' => array(
                    'style1' => esc_html__( 'Style 1', 'butcher' ),
                    'style2' => esc_html__( 'Style 2', 'butcher' ),
                    'style3' => esc_html__( 'Style 3', 'butcher' ),
                    'style4' => esc_html__( 'Style 4', 'butcher' ),
                ),
                'value' => 'style1'
            )
        )
    );
}
add_filter('apus_themer_kingcomposer_map_element_newsletter', 'apustheme_kingcomposer_map_element_newsletter');


function apustheme_kingcomposer_map_element_counter($map) {
    return array(
        'name' => esc_html__( 'Apus Counter', 'butcher' ),
        'title' => esc_html__( 'Apus Counter Settings', 'butcher' ),
        'icon' => 'fa fa-newspaper-o',
        'category' => 'Elements',
        'wrapper_class' => 'clearfix',
        'description' => esc_html__( 'Display counter number.', 'butcher' ),
        'params' => array(
            array(
                "type" => "text",
                "label" => esc_html__("Title", 'butcher'),
                "name" => "title",
                "admin_label"   => true
            ),
            array(
                "type" => "textarea",
                "label" => esc_html__("Description", 'butcher'),
                "name" => "description",
            ),
            array(
                "type" => "text",
                "label" => esc_html__("Number", 'butcher'),
                "name" => "number",
            ),
            array(
                "type" => "text",
                "label" => esc_html__("Sub Number", 'butcher'),
                "name" => "subnumber",
            ),
            array(
                "type" => "icon_picker",
                "label" => esc_html__("Icon", 'butcher'),
                "name" => "icon"
            ),
            array(
                "type" => "attach_image",
                "description" => esc_html__("If you upload an image, icon will not show.", 'butcher'),
                "name" => "image",
                'label' => esc_html__('Image', 'butcher' )
            ),
            array(
                "type" => "color_picker",
                "label" => esc_html__("Text Color", 'butcher'),
                "name" => "text_color"
            ),
            array(
                'type' => 'dropdown',
                'label' => esc_html__( 'Style', 'butcher' ),
                'name' => 'style',
                'options' => array(
                    '' => esc_html__( 'Style 1', 'butcher' ),
                    'style2' => esc_html__( 'Style 2 ( White )', 'butcher' ),
                ),
                'value' => ''
            )
        )
    );
}
add_filter('apus_themer_kingcomposer_map_element_counter', 'apustheme_kingcomposer_map_element_counter');



function apustheme_kingcomposer_map_element_socials_link($map) {
    return array(
        'name' => esc_html__( 'Apus Socials Link', 'butcher' ),
        'title' => esc_html__( 'Apus Socials Link Settings', 'butcher' ),
        'icon' => 'fa fa-newspaper-o',
        'category' => 'Elements',
        'wrapper_class' => 'clearfix',
        'description' => esc_html__( 'Display Socials Link.', 'butcher' ),
        'params' => array(
            array(
                'type' => 'group',
                'label' => __('Social Items', 'butcher'),
                'name' => 'socials',
                'params' => array(
                    array(
                        "type" => "text",
                        "label" => esc_html__("Title", 'butcher'),
                        "name" => "title",
                        "admin_label"   => true
                    ),
                    array(
                        "type" => "text",
                        "label" => esc_html__("URL", 'butcher'),
                        "name" => "url",
                        "admin_label"   => true
                    ),
                    array(
                        "type" => "icon_picker",
                        "label" => esc_html__("Icon Font", 'butcher'),
                        "name" => "icon"
                    ),
                    array(
                        "type" => "attach_image",
                        "description" => esc_html__("If you upload an image, icon will not show.", 'butcher'),
                        "name" => "image",
                        'label' => esc_html__('Icon Image', 'butcher' )
                    ),
                    
                ),
            ),
            array(
                'type' => 'dropdown',
                'label' => esc_html__( 'Style', 'butcher' ),
                'name' => 'style',
                'options' => array(
                    '' => esc_html__( 'Style 1', 'butcher' ),
                    'style2' => esc_html__( 'Style 2', 'butcher' ),
                ),
                'value' => ''
            )
        )
    );
}
add_filter('apus_themer_kingcomposer_map_element_socials_link', 'apustheme_kingcomposer_map_element_socials_link');

function apustheme_kingcomposer_map_element_testimonials($map) {
    return array(
        'name' => esc_html__( 'Apus Testimonials', 'butcher' ),
        'title' => esc_html__( 'Apus Testimonials Settings', 'butcher' ),
        'icon' => 'fa fa-newspaper-o',
        'category' => 'Elements',
        'wrapper_class' => 'clearfix',
        'description' => esc_html__( 'List of testimonials with more layouts.', 'butcher' ),
        'params' => array(
            array(
                'type'            => 'group',
                'label'            => esc_html__('Testimonial Items', 'butcher'),
                'name'            => 'testimonials',
                'params' => array(
                    array(
                        "type" => "attach_image",
                        "label" => esc_html__('Photo', 'butcher'),
                        "name" => 'image',
                        "value" => '',
                    ),
                    array(
                        'type' => 'text',
                        'label' => esc_html__( 'Name', 'butcher' ),
                        'name' => 'name',
                        'admin_label' => true,
                    ),
                    array(
                        'type' => 'text',
                        'label' => esc_html__( 'Job', 'butcher' ),
                        'name' => 'job',
                        'admin_label' => true,
                    ),
                    array(
                        'type' => 'textarea',
                        'label' => esc_html__( 'Content', 'butcher' ),
                        'name' => 'content',
                        'admin_label' => true,
                    ),
                ),
            ),
            array(
                'name' => 'layout_type',
                'label' => esc_html__( 'Layout Type' ,'butcher' ),
                'type' => 'select',
                'admin_label' => true,
                'options' => array(
                    'grid' => esc_html__( 'Grid', 'butcher' ),
                    'carousel' => esc_html__( 'Carousel', 'butcher' ),
                    'carousel-2' => esc_html__( 'Carousel 2', 'butcher' )
                )
            ),
            array(
                'name' => 'columns',
                'label' => esc_html__( 'Grid Column' ,'butcher' ),
                'type' => 'number_slider',
                'options' => array(
                    'min' => 1,
                    'max' => 6,
                    'unit' => '',
                    'show_input' => true
                ),
                "admin_label" => true,
                'value' => 1,
                'relation' => array(
                    'parent' => 'layout_type',
                    'show_when' => array('grid', 'carousel')
                )
            ),
        )
    );
}
add_filter('apus_themer_kingcomposer_map_element_testimonials', 'apustheme_kingcomposer_map_element_testimonials');