/*!
 * Butcher Woocommerce v1.0
 * Copyright 2016 ApusTheme
 * Licensed under the MIT license
 */
(function($) {
	
    // add to cart modal
    var product_info = null;
    jQuery('body').bind('adding_to_cart', function( button, data , data2 ) {
        product_info = data;
        apus_product_id =  data.data('product_id');
    });

    jQuery('body').bind('added_to_cart', function( fragments, cart_hash ){
        if( apus_product_id ){
            var imgtodrag = $('[data-product-id="'+apus_product_id+'"] .image img').eq(0);
            var cart =  $('#cart');
            if (imgtodrag) {
                var imgclone = imgtodrag.clone()
                    .offset({
                    top: product_info.offset().top-imgtodrag.height(),
                    left: product_info.offset().left
                })
                .css({
                    'opacity': '0.8',
                        'position': 'absolute',
                        'height': '150px',
                        'width': 'auto',
                        'z-index': '100000'
                })
                .appendTo($('body'))
                .animate({
                    'top': cart.offset().top + 10,
                        'left': cart.offset().left + 10,
                        'width': 75,
                        'height': 75
                }, 1000);
            
              	setTimeout(function () {
              		$('.mini-cart').click();
                    cart.stop().animate({'margin-left':10},100).animate( {'margin-left':-10}, 200 ).animate( {'margin-left':0}, 100);

                }, 1500);
            
                imgclone.animate({
                    'width': 0,
                    'height': 0
                }, function () {
                    $(this).detach()
                });
            }
            $("html, body").stop().animate({ scrollTop:  cart.offset().top-50  }, "slow");
        }
    });

	// Ajax QuickView
	jQuery(document).ready(function(){
		jQuery('a.quickview').click(function (e) {
			e.preventDefault();
			var self = $(this);
			self.parent().parent().parent().addClass('loading');
		    var productslug = jQuery(this).data('productslug');
		    var url = apustheme_ajax.ajaxurl + '?action=apustheme_quickview_product&productslug=' + productslug;
		    
	    	jQuery.get(url,function(data,status){
		    	$.magnificPopup.open({
					mainClass: 'apus-mfp-zoom-in',
					items    : {
						src : data,
						type: 'inline'
					}
				});
				// variation
                if ( typeof wc_add_to_cart_variation_params !== 'undefined' ) {
                    $( '.variations_form' ).each( function() {
                        $( this ).wc_variation_form().find('.variations select:eq(0)').change();
                    });
                }
                var config = {
                    loop: false,
                    nav: true,
                    dots: false,
                    items: 1,
                    navText: ['<span class="fa fa-angle-left"></span>', '<span class="fa fa-angle-right"></span>'],
                    responsive: {
	                    0:{
	                        items: 1
	                    },
	                    320:{
	                        items: 1
	                    },
	                    768:{
	                        items: 1
	                    },
	                    980:{
	                        items: 1
	                    },
	                    1280:{
	                        items: 1
	                    }
	                }
                };
                $(".quickview-owl").owlCarousel( config );
                
				self.parent().parent().parent().removeClass('loading');
		    });
		});
	});
	
	// thumb image
	$('.thumbnails-image-carousel .thumb-link, .lite-carousel-play .thumb-link').each(function(e){
		$(this).click(function(event){
			event.preventDefault();
			$('.main-image-carousel').trigger("to.owl.carousel", [e, 0, true]);
			
			$('.thumbnails-image-carousel .thumb-link').removeClass('active');
			$(this).addClass('active');
			return false;
		});
	});
	$('.main-image-carousel').on('changed.owl.carousel', function(event) {
		setTimeout(function(){
			var index = 0;
			$('.main-image-carousel .owl-item').each(function(i){
				if ($(this).hasClass('active')){
					index = i;
				}
			});
			$('.thumbnails-image-carousel .thumb-link').removeClass('active');
			
			if ( $('.thumbnails-image-carousel .lite-carousel-play').length > 0 ) {
				$('.thumbnails-image-carousel li').eq(index).find('.thumb-link').addClass('active');
			} else {
				$('.thumbnails-image-carousel .owl-item').eq(index).find('.thumb-link').addClass('active');
			}
		},50);
    });

	// sticky
	if ($('.product-version-v2 .sticky-this').length > 0) {
		$('.product-version-v2 .sticky-this').stick_in_parent({
	    	parent: ".product-v-wrapper",
	    	spacer: false
	  	});
	}

	$('.apus-woocommerce-product-gallery-thumbs .woocommerce-product-gallery__image').each(function(index){
        $(this).click(function(){
            $('.apus-woocommerce-product-gallery').trigger('to.owl.carousel', [index,0,true]);
        });
            
    });

	// woofilter
	var apusFilter = {
		init: function(){
			$('.apus-shop-header').on('click', '#apus-categories a', function(e) {
				e.preventDefault();
				apusFilter.shopGetPage($(this).attr('href'));
			});
			$('.apus-shop-header').on('click', '#apus-sidebar .widget_product_categories a', function(e) {
				e.preventDefault();
				apusFilter.shopGetPage($(this).attr('href'));
			});
			$('.apus-shop-header').on('click', '#apus-sidebar .widget_layered_nav a', function(e) {
				e.preventDefault();
				apusFilter.shopGetPage($(this).attr('href'));
			});
			$('.apus-shop-header').on('click', '#apus-sidebar .widget_layered_nav_filters a', function(e) {
				e.preventDefault();
				apusFilter.shopGetPage($(this).attr('href'));
			});
			$('.apus-shop-header').on('click', '#apus-sidebar .widget_price_filter a', function(e) {
				e.preventDefault();
				apusFilter.shopGetPage($(this).attr('href'));
			});
			$('.apus-shop-header').on('click', '#apus-sidebar .apus_widget_product_sorting a', function(e) {
				e.preventDefault();
				apusFilter.shopGetPage($(this).attr('href'));
			});
			$('.apus-shop-header').on('click', '#apus-sidebar .widget_product_tag_cloud a', function(e) {
				e.preventDefault();
				apusFilter.shopGetPage($(this).attr('href'), false, true);
			});
			$('.apus-shop-header').on('click', '#apus-sidebar .widget_orderby a', function(e) {
				e.preventDefault();
				apusFilter.shopGetPage($(this).attr('href'), false, true);
			});
			$('body').on('click', '.apus-results a', function(e){
				e.preventDefault();
				apusFilter.shopGetPage($(this).attr('href'), false, true);
			});

			// ajax pagination
			if ( $('.ajax-pagination').length ) {
				apusFilter.ajaxPaginationLoad();
			}
			//apusFilter.shopLoadImages();

			// filter action
			$('body').on('click', '#apus-filter-menu .filter-action', function(e) {
				e.preventDefault();
				$('.apus-sidebar-header').slideToggle(300);
				if ( $(this).find('i').hasClass('mn-icon-64') ) {
					$(this).find('i').removeClass('mn-icon-64').addClass('mn-icon-4');
				} else {
					$(this).find('i').removeClass('mn-icon-4').addClass('mn-icon-64');
				}
				if ($('.apus-shop-header').hasClass('filter-active')) {
					$('.apus-shop-header').removeClass('filter-active');
				} else {
					$('.apus-shop-header').addClass('filter-active');
				}
			});
			$('body').on('click', '.categories-action', function(e) {
				e.preventDefault();
				$('.apus-categories-wrapper').toggleClass('show');
				$('.apus-categories-wrapper').perfectScrollbar('update');
			});
		},
		shopGetPage: function(pageUrl, isBackButton, isProductTag){
			var self = this;
			if (self.shopAjax) { return false; }
			
			if (pageUrl) {
				// Remove any visible shop notices
				//self.shopRemoveNotices();												
				
				// Set current shop URL (used to reset search and product-tag AJAX results)
				self.shopSetCurrentUrl(isProductTag);
				
				// Show 'loader' overlay
				self.shopShowLoader();
				
				// Make sure the URL has a trailing-slash before query args (301 redirect fix)
				pageUrl = pageUrl.replace(/\/?(\?|#|$)/, '/$1');
				
				// Set browser history "pushState" (if not back button "popstate" event)
				if (!isBackButton) {
					self.setPushState(pageUrl);
				}
				
				self.shopAjax = $.ajax({
					url: pageUrl,
					data: {
						load_type: 'full'
					},
					dataType: 'html',
					cache: false,
					headers: {'cache-control': 'no-cache'},
					
					method: 'POST', // Note: Using "POST" method for the Ajax request to avoid "load_type" query-string in pagination links
					
					error: function(XMLHttpRequest, textStatus, errorThrown) {
						console.log('NM: AJAX error - shopGetPage() - ' + errorThrown);
						
						// Hide 'loader' overlay (after scroll animation)
						self.shopHideLoader();
						
						self.shopAjax = false;
					},
					success: function(response) {
						// Update shop content
						self.shopUpdateContent(response);
						
						self.shopAjax = false;
					}
				});
				
			}
		},
		shopHideLoader: function(){
			$('body').find('#apus-shop-products-wrapper').removeClass('loading');
		},
		shopShowLoader: function(){
			$('body').find('#apus-shop-products-wrapper').addClass('loading');
		},
		setPushState: function(pageUrl) {
			window.history.pushState({apusShop: true}, '', pageUrl);
		},
		shopSetCurrentUrl: function(isProductTag) {
			var self = this;
			
			// Exclude product-tag page URL's
			if (!self.isProductTagUrl) {
				// Set current page URL
				self.searchAndTagsResetURL = window.location.href;
			}
			
			// Is the current URL a product-tag URL?
			self.isProductTagUrl = (isProductTag) ? true : false;
		},
		/**
		 *	Shop: Update shop content with AJAX HTML
		 */
		shopUpdateContent: function(ajaxHTML) {
			var self = this,
				$ajaxHTML = $('<div>' + ajaxHTML + '</div>'); // Wrap the returned HTML string in a dummy 'div' element we can get the elements
			
			// Page title - wp_title()
			var wpTitle = $ajaxHTML.find('#apus-wp-title').text();
			if (wpTitle.length) {
				// Update document/page title
				document.title = wpTitle;
			}
			
			// Extract elements
			var $categories = $ajaxHTML.find('#apus-categories'),
				$sidebar = $ajaxHTML.find('#apus-sidebar'),
				$shop = $ajaxHTML.find('#apus-shop-products-wrapper');
											
			// Prepare/replace categories
			if ($categories.length) { 
				var $shopCategories = $('#apus-categories');
				
				// Is the category menu open? -add 'force-show' class
				if ($shopCategories.hasClass('fade-in')) {
					$categories.addClass('fade-in force-show');
				}
				
				$shopCategories.replaceWith($categories); 
			}
			// Prepare/replace sidebar filters
			if ($sidebar.length) {
				var $shopSidebar = $('#apus-sidebar');
				
				// Header sidebar: Is the sidebar open? -add 'force-show' class
				if ($shopSidebar.hasClass('fade-in')) {
					$sidebar.addClass('fade-in force-show');
				
					$shopSidebar.replaceWith($sidebar);
					
					// Header sidebar: Instantiate filter/widget scrollbars
					if (self.filterScrollbars) {
						self.filterScrollbarsInit();
					}
				} else {
					$shopSidebar.replaceWith($sidebar);
					
					// Header sidebar: Sidebar is hidden, instantiate filter/widget scrollbars when "filter" link is clicked instead
					self.filterScrollbarsLoaded = false;
				}
			}
			
			// Replace shop
			if ($shop.length) {
				$('#apus-shop-products-wrapper').replaceWith($shop);
			}

			// Load images (init Unveil)
			self.shopLoadImages();
			
			if ( $('.ajax-pagination').length ) {
				self.ajaxPaginationLoad();
			}
			
			// Smooth-scroll to top
			//var to = self.shopMaybeScrollToTop();
			setTimeout(function() {
				// Hide 'loader' overlay (after scroll animation)
				self.shopHideLoader();
			}, 100);
		},

		/**
		 *	Shop: Initialize infinite load
		 */
		ajaxPaginationLoad: function() {
			var self = this,
				$infloadControls = $('.ajax-pagination'),					
				nextPageUrl;
			
			
			// Used to check if "infload" needs to be initialized after Ajax page load
			self.shopInfLoadBound = true;
			
			
			self.infloadScroll = ($infloadControls.hasClass('infinite-action')) ? true : false;
			
			if (self.infloadScroll) {
				self.infscrollLock = false;
				
				var pxFromWindowBottomToBottom,
					pxFromMenuToBottom = Math.round($(document).height() - $infloadControls.offset().top);
					//bufferPx = 0;
				
				/* Bind: Window resize event to re-calculate the 'pxFromMenuToBottom' value (so the items load at the correct scroll-position) */
				var to = null;
				$(window).resize(function() {
					if (to) { clearTimeout(to); }
					to = setTimeout(function() {
						var $infloadControls = self.$shopBrowseWrap.children('.apus-pagination'); // Note: Don't cache, element is dynamic
						pxFromMenuToBottom = Math.round($(document).height() - $infloadControls.offset().top);
					}, 100);
				});
				
				$(window).scroll(function(){
					if (self.infscrollLock) {
						return;
					}
					
					pxFromWindowBottomToBottom = 0 + $(document).height() - ($(window).scrollTop()) - $(window).height();
					
					// If distance remaining in the scroll (including buffer) is less than the pagination element to bottom:
					if ((pxFromWindowBottomToBottom/* - bufferPx*/) < pxFromMenuToBottom) {
						self.ajaxPaginationGet();
					}
				});
			} else {
				var $productsWrap = $('body');
				
				/* Bind: "Load" button */
				$productsWrap.on('click', '#apus-shop-products-wrapper .apus-loadmore-btn', function(e) {
					e.preventDefault();
					self.ajaxPaginationGet();
				});
			}
			
			if (self.infloadScroll) {
				$(window).trigger('scroll'); // Trigger scroll in case the pagination element (+buffer) is above the window bottom
			}
		},
		/**
		 *	Shop: AJAX load next page
		 */
		ajaxPaginationGet: function() {
			var self = this;
			
			if (self.shopAjax) return false;
			
			// Remove any visible shop notices
			//self.shopRemoveNotices();
			
			// Get elements (these can be replaced with AJAX, don't pre-cache)
			var $nextPageLink = $('.apus-pagination-next-link').find('a'),
				$infloadControls = $('.ajax-pagination'),
				nextPageUrl = $nextPageLink.attr('href');
			
			if (nextPageUrl) {
				//nextPageUrl = self.updateUrlParameter(nextPageUrl, 'load_type', 'products');
				
				// Show 'loader'
				$infloadControls.addClass('apus-loader');
				
				self.shopAjax = $.ajax({
					url: nextPageUrl,
					data: {
						load_type: 'products'
					},
					dataType: 'html',
					cache: false,
					headers: {'cache-control': 'no-cache'},
					method: 'GET',
					error: function(XMLHttpRequest, textStatus, errorThrown) {
						console.log('APUS: AJAX error - ajaxPaginationGet() - ' + errorThrown);
					},
					complete: function() {
						// Hide 'loader'
						$infloadControls.removeClass('apus-loader');
					},
					success: function(response) {
						var $response = $('<div>' + response + '</div>'), // Wrap the returned HTML string in a dummy 'div' element we can get the elements
							$newElements = $response.children('.apus-products');
						
						// Append the new elements
						$('.apus-shop-products-wrapper .products .row').append($newElements.html());
						
						// Load images (init Unveil)
						self.shopLoadImages();
						
						// Get the 'next page' URL
						nextPageUrl = $response.find('.apus-pagination-next-link').children('a').attr('href');
						
						if (nextPageUrl) {
							$nextPageLink.attr('href', nextPageUrl);
						} else {
							$('.apus-shop-products-wrapper').addClass('all-products-loaded');
							
							if (self.infloadScroll) {
								self.infscrollLock = true; // "Lock" scroll (no more products/pages)
							}
							$infloadControls.find('.apus-loadmore-btn').addClass('hidden'); // Hide "load" button (no more products/pages)
							$nextPageLink.removeAttr('href');
						}
						
						self.shopAjax = false;
						
						if (self.infloadScroll) {
							$(window).trigger('scroll'); // Trigger 'scroll' in case the pagination element (+buffer) is still above the window bottom
						}
					}
				});
			} else {
				if (self.infloadScroll) {
					self.infscrollLock = true; // "Lock" scroll (no more products/pages)
				}
			}
		},

		shopLoadImages: function() {
			var self = this;
			
			// Remove any previous Unveil events
			$(window).off('scroll.unveil resize.unveil lookup.unveil');
							
			var $images = $('body').find('.product-image:not(.image-loaded) .unveil-image'); // Get un-loaded images only
			
			if ($images.length) {
				var scrollTolerance = 1;
				$images.unveil(scrollTolerance, function() {
					$(this).parents('.product-image').first().addClass('image-loaded');
				});
			}
			
		},
	};

	apusFilter.init();

	// gallery

    var ApusProductGallery = function( $target, args ) {
        var self = this;
        this.$target = $target;
        this.$images = $( '.woocommerce-product-gallery__image', $target );

        // No images? Abort.
        if ( 0 === this.$images.length ) {
            this.$target.css( 'opacity', 1 );
            return;
        }

        // Make this object available.
        $target.data( 'product_gallery', this );

        // Pick functionality to initialize...
        this.zoom_enabled       = $.isFunction( $.fn.zoom ) && wc_single_product_params.zoom_enabled;
        this.photoswipe_enabled = typeof PhotoSwipe !== 'undefined' && wc_single_product_params.photoswipe_enabled;

        // ...also taking args into account.
        if ( args ) {
            this.zoom_enabled       = false === args.zoom_enabled ? false : this.zoom_enabled;
            this.photoswipe_enabled = false === args.photoswipe_enabled ? false : this.photoswipe_enabled;
        }

        

        // Bind functions to this.
        this.initZoom             = this.initZoom.bind( this );
        this.initZoomForTarget    = this.initZoomForTarget.bind( this );
        this.initPhotoswipe       = this.initPhotoswipe.bind( this );
        this.getGalleryItems      = this.getGalleryItems.bind( this );
        this.openPhotoswipe       = this.openPhotoswipe.bind( this );

            this.$target.css( 'opacity', 1 );

        if ( this.zoom_enabled ) {
            this.initZoom();
            $target.on( 'woocommerce_gallery_init_zoom', this.initZoom );
        }

        if ( this.photoswipe_enabled ) {
            this.initPhotoswipe();
        }

        $('.apus-woocommerce-product-gallery').on('changed.owl.carousel', function(event) {
        	var destination_id = event.property.value;
        	self.initZoomForTarget( self.$images.eq(destination_id) );
		});
    };


    /**
     * Init zoom.
     */
    ApusProductGallery.prototype.initZoom = function() {
        this.initZoomForTarget( this.$images.first() );
    };

    /**
     * Init zoom.
     */
    ApusProductGallery.prototype.initZoomForTarget = function( zoomTarget ) {
        if ( ! this.zoom_enabled ) {
            return false;
        }

        var galleryWidth = this.$target.width(),
            zoomEnabled  = false;

        $( zoomTarget ).each( function( index, target ) {
            var image = $( target ).find( 'img' );

            if ( image.data( 'large_image_width' ) > galleryWidth ) {
                zoomEnabled = true;
                return false;
            }
        } );

        // But only zoom if the img is larger than its container.
        if ( zoomEnabled ) {
            var zoom_options = {
                touch: false
            };

            if ( 'ontouchstart' in window ) {
                zoom_options.on = 'click';
            }

            zoomTarget.trigger( 'zoom.destroy' );
            zoomTarget.zoom( zoom_options );
        }
    };

    /**
     * Init PhotoSwipe.
     */
    ApusProductGallery.prototype.initPhotoswipe = function() {
        if ( this.zoom_enabled && this.$images.length > 0 ) {
            this.$target.prepend( '<a href="#" class="woocommerce-product-gallery__trigger"><i class="fa fa-search-plus"></i></a>' );
            this.$target.on( 'click', '.woocommerce-product-gallery__trigger', this.openPhotoswipe );
        }
        this.$target.on( 'click', '.woocommerce-product-gallery__image a', this.openPhotoswipe );
    };

    /**
     * Get product gallery image items.
     */
    ApusProductGallery.prototype.getGalleryItems = function() {
        var $slides = this.$images,
            items   = [];

        if ( $slides.length > 0 ) {
            $slides.each( function( i, el ) {
                var img = $( el ).find( 'img' ),
                    large_image_src = img.attr( 'data-large_image' ),
                    large_image_w   = img.attr( 'data-large_image_width' ),
                    large_image_h   = img.attr( 'data-large_image_height' ),
                    item            = {
                        src  : large_image_src,
                        w    : large_image_w,
                        h    : large_image_h,
                        title: img.attr( 'data-caption' ) ? img.attr( 'data-caption' ) : img.attr( 'title' )
                    };
                items.push( item );
            } );
        }

        return items;
    };

    /**
     * Open photoswipe modal.
     */
    ApusProductGallery.prototype.openPhotoswipe = function( e ) {
        e.preventDefault();

        var pswpElement = $( '.pswp' )[0],
            items       = this.getGalleryItems(),
            eventTarget = $( e.target ),
            clicked;

        if ( this.$target.find( '.woocommerce-product-gallery__image.slick-current' ).length > 0 ) {
            clicked = this.$target.find( '.woocommerce-product-gallery__image.slick-current' );
        } else {
            clicked = eventTarget.closest( '.woocommerce-product-gallery__image' );
        }
        var options = $.extend( {
            index: $( clicked ).index()
        }, wc_single_product_params.photoswipe_options );

        // Initializes and opens PhotoSwipe.
        var photoswipe = new PhotoSwipe( pswpElement, PhotoSwipeUI_Default, items, options );
        photoswipe.init();
    };

    /**
     * Function to call wc_product_gallery on jquery selector.
     */
    $.fn.apus_wc_product_gallery = function( args ) {
        new ApusProductGallery( this, args );
        return this;
    };

    /*
     * Initialize all galleries on page.
     */
    $( '.apus-woocommerce-product-gallery-wrapper' ).each( function() {
        $( this ).apus_wc_product_gallery();
    } );

})(jQuery)