<?php

$atts  = array_merge( array(
	'title'	=> 4,
	'subtitle' => 'grid',
	'stores' => array(),
	'image' => ''
), $atts);
extract( $atts );

$icon_url = '';
$icon_hover_url = '';
if (isset($map_image) && $map_image){
  	$img = wp_get_attachment_image_src($map_image, 'full');
  	 $img_hover = wp_get_attachment_image_src($map_image_hover, 'full');
  	if (isset($img[0]) && $img[0]) {
  		$icon_url = $img[0];
  	}
  	if (isset($img_hover[0])) {
  		$icon_hover_url = $img_hover[0];
  	}
}
?>
<div class="widget widget-element-ourstore">
	<div class="row">
		<div class="ourstore-left ">
			<div class="row">
				<div class="col-md-6"></div>
				<div class="col-md-6">
					<div class="local-ourstore">
						<?php if (!empty($stores)): ?>
							<?php $i = 0; foreach ($stores as $store) { ?>
								
								<div class="store-item" data-latitude="<?php echo esc_attr($store->latitude); ?>" data-longitude="<?php echo esc_attr($store->longitude); ?>" data-icon_url="<?php echo esc_url($icon_url); ?>" data-storeid="ourstore_<?php echo esc_attr($i); ?>">
									<div class="media">
									  	<div class="media-left media-middle">
											<?php if ($icon_url) { ?> 
										    	<img <?php echo trim($icon_hover_url ? ' class="has-icon-hover"' : ''); ?> src="<?php echo esc_url_raw($img[0]);?>" alt="<?php esc_attr_e('image', 'butcher'); ?>" />
											<?php } ?>
											<?php if (isset($img_hover[0])) { ?>
				                                <img src="<?php echo esc_url_raw($img_hover[0]);?>" alt="<?php esc_attr_e('image', 'butcher'); ?>" class="image-icon-hover">
				                            <?php } ?>
									  	</div>
									  	<div class="media-body">
									    	<h4 class="media-heading"><?php echo esc_attr($store->name); ?></h4>
									  	</div>
									</div>

									<div class="data-content hidden">
										<div class="media">
										  	<div class="media-left media-middle">
										  		<?php if ($icon_url) { ?> 
											    	<img <?php echo trim($icon_hover_url ? ' class="has-icon-hover"' : ''); ?> src="<?php echo esc_url_raw($img[0]);?>" alt="<?php esc_attr_e('image', 'butcher'); ?>" />
												<?php } ?>
										  	</div>
										  	<div class="media-body">
										    	<h4 class="media-heading"><?php echo esc_attr($store->name); ?></h4>
										    	<div class="address"><?php echo esc_attr($store->address); ?></div>
										  	</div>
									  	</div>
									</div>
								</div>
							<?php $i++; } ?>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
		<div class="ourstore-right">
			<div class="map">
				<?php if ( isset($image) && $image ): ?>
					<?php $img = wp_get_attachment_image_src($image, 'full'); ?>
					<?php if (isset($img[0]) && $img[0]) { ?> 
				    	<img src="<?php echo esc_url_raw($img[0]);?>" alt="<?php esc_attr_e('image', 'butcher'); ?>" />
					<?php } ?>
			    <?php endif; ?>
			    <div class="widget-title">
			    	<?php if (isset($title) && $title): ?>
			    		<h3><?php echo esc_attr($title); ?></h3>
			    	<?php endif; ?>
			    	<?php if (isset($subtitle) && $subtitle): ?>
			    		<div class="subtitle"><?php echo esc_attr($subtitle); ?></div>
			    	<?php endif; ?>
			    </div>
			    <div class="google-map" style="width: 100%;">
			    	
			    </div>
			</div>
		</div>
	</div>
</div>

