<?php

$atts  = array_merge( array(
	'number' => 8,
	'columns' => 4,
	'type' => 'recent_products',
	'tabs'	=> array(),
	'layout_type' => 'grid',
    'tab_style' => 'style1',
	'item_type' => 'inner',
), $atts);
extract( $atts );

if ( empty($type) || empty($tabs) ) {
	return ;
}
$_id = apustheme_random_key(); 
?>
<div class="widget widget-categories-tabs widget-categories-tabs-<?php echo esc_attr($layout_type); ?> widget-products products">
    <div class="nav-tabs-selector">
    	<ul role="tablist" class="nav <?php echo esc_attr($tab_style); ?>" data-load="ajax">
            <?php $i = 0; foreach ($tabs as $tab) { ?>
                <li <?php echo trim($i == 0 ? ' class="active"' : ''); ?>>
                    <a href="#tab-<?php echo esc_attr($_id);?>-<?php echo esc_attr($i); ?>">
                    	<?php if ( isset($tab->image) && $tab->image ): ?>
    						<?php $img = wp_get_attachment_image_src($tab->image,'full'); ?>
                            <?php $img_hover = wp_get_attachment_image_src($tab->icon_image_hover, 'full'); ?>
    						<?php if (isset($img[0]) && $img[0]) { ?> 
    					    	<img <?php echo isset($img_hover[0]) ? ' class="has-icon-hover"' : ''; ?> src="<?php echo esc_url_raw($img[0]);?>" alt="<?php esc_attr_e('image', 'butcher'); ?>" />
    						<?php } ?>
                            <?php if (isset($img_hover[0])) { ?>
                                <img src="<?php echo esc_url_raw($img_hover[0]);?>" alt="<?php esc_attr_e('image', 'butcher'); ?>" class="image-icon-hover">
                            <?php } ?>
    					<?php elseif (isset($tab->icon) && $tab->icon): ?>
    		            	<i class="<?php echo esc_attr($tab->icon); ?>"></i>
    				    <?php endif; ?>

                        <?php echo trim($tab->name); ?>
                    </a>
                </li>
            <?php $i++; } ?>
            <?php if (isset($show_view_all) && $show_view_all && ($tab_style != 'style3') ): ?>
            <li class="view-all-btn">
                <a href="<?php echo esc_url($view_all_url); ?>" title="<?php echo esc_attr($view_all_text); ?>">
                    <?php if ( isset($view_all_image) && $view_all_image ): ?>
                        <?php $img = wp_get_attachment_image_src($view_all_image,'full'); ?>
                        <?php $img_hover = wp_get_attachment_image_src($view_all_image_hover, 'full'); ?>
                        <?php if (isset($img[0]) && $img[0]) { ?> 
                            <img <?php echo isset($img_hover[0]) ? ' class="has-icon-hover"' : ''; ?> src="<?php echo esc_url_raw($img[0]);?>" alt="<?php esc_attr_e('image', 'butcher'); ?>" />
                        <?php } ?>
                        <?php if (isset($img_hover[0])) { ?>
                            <img src="<?php echo esc_url_raw($img_hover[0]);?>" alt="<?php esc_attr_e('image', 'butcher'); ?>" class="image-icon-hover">
                        <?php } ?>
                    <?php endif; ?>
                    <?php echo esc_attr($view_all_text); ?>
                </a>
            </li>
            <?php endif; ?>
        </ul>
    </div>
	<div class="widget-content woocommerce">
		<div class="tab-content">
            <?php $i = 0; foreach ($tabs as $tab) : ?>
                <div id="tab-<?php echo esc_attr($_id);?>-<?php echo esc_attr($i); ?>" class="tab-pane <?php echo esc_attr($i == 0 ? 'active' : ''); ?>" data-loaded="<?php echo esc_attr($i == 0 ? 'true' : 'false'); ?>" data-number="<?php echo esc_attr($number); ?>" data-categories="<?php echo esc_attr($tab->category); ?>" data-columns="<?php echo esc_attr($columns); ?>" data-product_type="<?php echo esc_attr($type); ?>" data-layout_type="<?php echo esc_attr($layout_type); ?>" data-item_type="<?php echo esc_attr($item_type); ?>">
                    <?php if ( $i == 0 ): ?>
                        <?php
                        	$categories = !empty($tab->category) ? array($tab->category) : array();
                        	$loop = apus_themer_get_products( $categories, $type, 1, $number );
                    	?>
                        <?php wc_get_template( 'layout-products/'.$layout_type.'.php' , array( 'loop' => $loop, 'columns' => $columns,'product_item' => $item_type ) ); ?>
                    <?php endif; ?>
                </div>
            <?php $i++; endforeach; ?>
        </div>
	</div>
    <?php if (isset($show_view_all) && $show_view_all && ($tab_style == 'style3') ): ?>
        <div class="view-bottom text-center">
            <a class="btn btn-theme radius-50" href="<?php echo esc_url($view_all_url); ?>" title="<?php echo esc_attr($view_all_text); ?>">
                <?php echo esc_attr($view_all_text); ?>
            </a>
        </div>
    <?php endif; ?>
</div>