<?php
    $thumbsize = isset($thumbsize) ? $thumbsize : 'butcher-blog-grid3';
    $nb_word = isset($nb_word) ? $nb_word : 25;
?>
<article <?php post_class('post post-grid-3'); ?>>
    <div class="row flex-middle">
        <div class="col-md-5 col-xs-6">
            <?php
            $thumb = apustheme_display_post_thumb($thumbsize);
            echo trim($thumb);
            ?>
        </div> 
        <div class="col-md-7 col-xs-6 p-static">  
            <div class="entry-content">
                <div class="time-post">
                    <span><?php echo get_the_date( 'd' ); ?></span>
                    <span><?php echo get_the_date( 'M' ); ?></span>
                </div>

                <div class="meta">
                    <a class="name-author" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>">
                        <i class="fa fa-user-o" aria-hidden="true"></i><?php echo get_the_author(); ?>
                    </a>
                    <span class="comments"><i class="fa fa-comments-o" aria-hidden="true"></i><?php comments_number( esc_html__('0 Comments', 'butcher'), esc_html__('1 Comment', 'butcher'), esc_html__('% Comments', 'butcher') ); ?></span>
                </div>
                <?php if (get_the_title()) { ?>
                    <h4 class="entry-title">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h4>
                <?php } ?>

                <?php if ( has_excerpt()) { ?>
                    <div class="description"><?php echo apustheme_substring( get_the_excerpt(), 15, '...' ); ?></div>
                <?php } ?>
                <div class="info-bottom">
                    <a class="btn-link2" href="<?php the_permalink(); ?>"><?php esc_html_e('Read More','butcher') ?></a>
                </div>
            </div>
        </div>
    </div>
</article>