<?php 
global $product;
$image_attributes = wp_get_attachment_image_src( get_post_thumbnail_id($product->get_id() ), 'butcher-shop-list' );
?>
<div class="product-block list-v1" data-product-id="<?php echo esc_attr($product->get_id()); ?>">
	<div class="row flex-middle">
		<div class="col-xs-5 col-md-6">
		    <figure class="image">
		        <?php woocommerce_show_product_loop_sale_flash(); ?>
		        <a title="<?php the_title(); ?>" href="<?php the_permalink(); ?>" class="product-image">
		            <?php
		                /**
		                * woocommerce_before_shop_loop_item_title hook
		                *
		                * @hooked woocommerce_show_product_loop_sale_flash - 10
		                * @hooked woocommerce_template_loop_product_thumbnail - 10
		                */
		                apustheme_swap_images('butcher-shop-list');
		            ?>
		        </a>
		    </figure>
		</div>    
	    <div class="col-xs-7 col-md-6">
		    <div class="caption-list">
		        <div class="meta">
		        	
		        	<div class="rating clearfix">
	                    <?php
	                        if($rating_html = wc_get_rating_html( $product->get_average_rating() )){
	                            echo trim( $rating_html );

	                        }else{
	                            echo '<div class="star-rating"></div>';
	                        }
	                    ?>
	                </div>
					<h3 class="name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
					<?php echo  the_excerpt();  ?>
		            <?php
		                /**
		                * woocommerce_after_shop_loop_item_title hook
		                *
		                * @hooked woocommerce_template_loop_rating - 5
		                * @hooked woocommerce_template_loop_price - 10
		                */
		                remove_action('woocommerce_after_shop_loop_item_title','woocommerce_template_loop_rating',5);
		                do_action( 'woocommerce_after_shop_loop_item_title');

		            ?>
		        </div>    
		    </div>
		</div>    
	</div>	    
</div>